gnutls_fingerprint(3)

NAME
gnutls_fingerprint - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_fingerprint(gnutls_digest_algorithm_t algo, const gnutls_datum_t * data, void * result, size_t * result_size);

ARGUMENTS

gnutls_digest_algorithm_t algo
    is a digest algorithm

const gnutls_datum_t * data
    is the data

void * result
    is the place where the result will be copied (may be null).

size_t * result_size
    should hold the size of the result. The actual size of the returned result will also be copied there.

DESCRIPTION
This function will calculate a fingerprint (actually a hash), of the given data. The result is not printable data. You should convert it to hex, or to something else printable. This is the usual way to calculate a fingerprint of an X.509 DER encoded certificate. Note however that the fingerprint of an OpenPGP certificate is not just a hash and cannot be calculated with this function.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/